Summary:	Blocks brute force SSH attacks using iptables
Name:		blocksshd
Epoch:		1
Version:	0.8
Release:        0
License:	GPL
Group:		Applications/Internet
URL:		http://sourceforge.net/projects/blocksshd/
BuildArch:	noarch
Source:		http://dl.sf.net/blocksshd/blocksshd-%{version}.tar.gz
Requires:	perl >= 5, chkconfig
AutoReq:	no
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
BlockSSHD is a Perl script based on BruteForceBlocker v1.2.3 that dynamically adds IPTables rules for Linux and pf firewall rules for BSD that block SSH brute force attacks. It can also detect ProFTPd login failures.

%prep
%setup -q -n blocksshd-%{version}

%build
%{__make}

%install
[ "%{buildroot}" != "/" -a -n "%{buildroot}" ] && %{__rm} -rf "%{buildroot}"
%{__make} install DESTDIR="%{buildroot}" \
	BINDIR=%{_bindir} \
        MANDIR=%{_mandir} \
        INITRDDIR=%{_initrddir} \
        MANCOMPRESS= \
	INSTALL=%{__install}

%{__make} init DESTDIR="%{buildroot}" \
        INITRDDIR=%{_initrddir}
 
%clean
[ "%{buildroot}" != "/" -a -n "%{buildroot}" ] && %{__rm} -rf "%{buildroot}"

%files
%defattr(-,root,root,0755)
%doc CHANGELOG README CREDITS INSTALL
%{_bindir}/blocksshd
%config %{_initrddir}/blocksshd
%{_mandir}/man1/blocksshd.1*

%post
/sbin/chkconfig --add blocksshd

%changelog
* Sun Jul 30 2006 James Turnbull <james@lovedthanlost.net> 0.7
- Added init file support

* Tue Jul 25 2006 James Turnbull <james@lovedthanlost.net> 0.7
- Spec file for Fedora Extras

